phone: +44 -NL- **`Dami`[NAME]** -NL- 2032873502 -NL- email: -NL- Adewale -NL- adewaledami72@gmail -NL- Profi Experienced **`Android Developer`[EMPLOYER_ROLE]** who is eager to learn and take on new -NL- projects. The projects that I have worked on include the following -NL- le -NL- industries; Financial Services, Property and Health & Fitness. -NL- I am now looking for a new challenge to further develop my career in the -NL- Android market and to utilise my technical skill-set. -NL- Skill CSS, Java, PHP, Kotlin, Git, SQL, GitKraken, SQLite, MySQL, GitHub, Bitbucket GreenDao, RealmDB, Room, JavaScript, -NL- s MVP, MVVM, Dagger, RxJava, RxAndroid, Retrofit, OkHttp, Mockito, -NL- Robolectric, JUnit -NL- Experienc -NL- e -NL- **`SKY UK Ltd`[EMPLOYER_COMPANY_NAME]** – **`Android Developer`[EMPLOYER_ROLE]** (June 2019 – Present) -NL-  We worked in teams of 3-8 people in an Agile Environment -NL-  The apps were had a strictly implemented Clean Architecture -NL-  The apps were highly modularised -NL-  Kotlin was used exclusively -NL-  UsedJenkins for Continuous Integration -NL-  Used Jira for task management and sprint planning -NL-  Used Invision for design/asset management -NL-  Used Bitbucket for version control and code reviewing -NL-  Provided assistance to other developers for complex issues -NL-  General Bugfixes -NL- Quidco – **`Android Developer`[EMPLOYER_ROLE]** (May 2018 – May -NL- 2019) -NL-  Gathering technical requirements and proposing solutions based on client’s -NL- architectural needs. -NL-  Enhancing efficiency of development, test and release process. -NL-  Participating in the full lifecycle development process. -NL-  Using the MVVM architectural design pattern along with Dagger 2.0 to improve -NL- modularity and facilitate the testing of individual classes. -NL-  Communicating with the backend service to retrieve data using Retrofit, OkHttp -NL- and Gson for parsing Json data. -NL-  Using RxJava 2.0 to handle asynchronous operations. -NL-  Integrating Branch for deep linking -NL-  Working with Firebase for instant notifications and analytics -NL-  Integrating the New Relic SDK for custom instrumentation track user interactions -NL- within the application -NL-  Writing test cases for the various features I worked on using Mockito -NL-  Working on features such as Account, Refer a Friend and Detail screens. -NL- RightMove UK – **`Android Developer`[EMPLOYER_ROLE]** (September 2017 -NL- – April 2018 2018) -NL-  Working closely with the design team and the usability specialist to create a -NL- user-friendly interface. -NL-  Working with the QA team to identify,fix critical bugs and using testing tools like -NL- Roboletric. -NL-  Using the MVP architectural design pattern, applying the Interface segregation -NL- principle and decoupling classes. -NL-  Performing refactoring buy eliminating the use of Volley and introducing Retrofit -NL- as the only means of communicating with the backend. -NL-  Utilising RxJava for thread management, error handling and data manipulation. -NL-  Implementing Leak Canary to detect and avoid memory leaks. -NL-  Using Crashlytics and Fabric for analytics and crash reporting. -NL-  Gradually converting existing Java code base into a Kotlin code base. -NL-  Working on supporting devices with different screen sizes. -NL-  Attending several improvement meetings to discuss the app and environment -NL- **`Contour Diabetes Care`[EMPLOYER_COMPANY_NAME]** – **`Android Developer`[EMPLOYER_ROLE]** (October 2016 – -NL- August 2017) -NL-  Independently working on creating multiple of custom views to satisfy customer -NL- needs -NL-  Working on a large codebase and integrating technologies such as RxJava, -NL- Google Play Services. -NL-  Updating the UI to have a cohesive theme that can be changed with minimal -NL- effort. -NL-  Using Restful web services to consume JSON based requests with functional -NL- operators like map,flatMap,filter. -NL-  Working on feature to allow users to such as My Patterns to allow users to log -NL- their blood glucose results and identify common trends in these results. -NL-  Using Firebase for notifications, and notifying users of potential causes of -NL- diabetes. -NL-  Integrating MPAndroidChart to show charts related to diet, insulin doses and -NL- carb intake trends. -NL-  add Ultra Using them the to Fitness their – ContentProvider records. Android to allow users Developer to pick photos (January from 2016 their – gallery August and -NL-  2016) Independently working on hardware control features to take pictures and record -NL-  Working on the security aspect of Apache HttpMime API for client-side HTTP -NL- authentication against a server. -NL-  Building a local database using GreedDao for synchronization of the backend -NL- server’s databse. -NL-  Designing and buildingflexible and adaptable UI for diverse device -NL- configurations dynamically to support larger screens sizes, different -NL- configurations to perform well on phones, tablets and phablets. -NL-  Integrating multi-threading to designate operations responsible so as to not clog -NL- the UI and improve responsiveness. -NL-  Incorporating Adobe primetime services to load premium training videos. -NL-  Working with external API integration and efficient communication using Restful -NL- web services using Volley and JSON parsing using GSON. -NL-  Writing strong and clear test cases for new functionality and performed bug -NL- fixing to improve the overall quality of the application. -NL- **`Education`[EDUCATION_HEADING]** -NL- **`BSc`[EDUCATION_DEGREE]** **`Financial Economics with Econometrics`[EDUCATION_COURSE]** – **`University of Kent`[EDUCATION_INSTITUTE]** -NL- 